weka.gui.knowledgeflow

## Enum MainKFPerspectiveToolBar.Widgets

- java.lang.Object
- - java.lang.Enum<MainKFPerspectiveToolBar.Widgets>
  - - weka.gui.knowledgeflow.MainKFPerspectiveToolBar.Widgets

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MainKFPerspectiveToolBar.Widgets>
  Enclosing class:
    MainKFPerspectiveToolBar

      public static enum MainKFPerspectiveToolBar.Widgets
      extends java.lang.Enum<MainKFPerspectiveToolBar.Widgets>

  Enum containing all the widgets provided by the toolbar. The toString() method provides the corresponding menu entry text for each widget.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COPY_BUTTON`
    `CUT_BUTTON`
    `DELETE_BUTTON`
    `HELP_BUTTON`
    `LOAD_FLOW_BUTTON`
    `NEW_FLOW_BUTTON`
    `NOTE_BUTTON`
    `PASTE_BUTTON`
    `PLAY_PARALLEL_BUTTON`
    `PLAY_SEQUENTIAL_BUTTON`
    `POINTER_BUTTON`
    `SAVE_FLOW_AS_BUTTON`
    `SAVE_FLOW_BUTTON`
    `SELECT_ALL_BUTTON`
    `SNAP_TO_GRID_BUTTON`
    `STOP_BUTTON`
    `TEMPLATES_BUTTON`
    `TOGGLE_PERSPECTIVES_BUTTON`
    `UNDO_BUTTON`
    `ZOOM_IN_BUTTON`
    `ZOOM_OUT_BUTTON`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static MainKFPerspectiveToolBar.Widgets` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MainKFPerspectiveToolBar.Widgets[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ZOOM_IN_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets ZOOM_IN_BUTTON

    - #### ZOOM_OUT_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets ZOOM_OUT_BUTTON

    - #### SELECT_ALL_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets SELECT_ALL_BUTTON

    - #### CUT_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets CUT_BUTTON

    - #### COPY_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets COPY_BUTTON

    - #### DELETE_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets DELETE_BUTTON

    - #### PASTE_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets PASTE_BUTTON

    - #### UNDO_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets UNDO_BUTTON

    - #### NOTE_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets NOTE_BUTTON

    - #### SNAP_TO_GRID_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets SNAP_TO_GRID_BUTTON

    - #### NEW_FLOW_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets NEW_FLOW_BUTTON

    - #### SAVE_FLOW_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets SAVE_FLOW_BUTTON

    - #### SAVE_FLOW_AS_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets SAVE_FLOW_AS_BUTTON

    - #### LOAD_FLOW_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets LOAD_FLOW_BUTTON

    - #### TEMPLATES_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets TEMPLATES_BUTTON

    - #### TOGGLE_PERSPECTIVES_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets TOGGLE_PERSPECTIVES_BUTTON

    - #### HELP_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets HELP_BUTTON

    - #### POINTER_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets POINTER_BUTTON

    - #### PLAY_PARALLEL_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets PLAY_PARALLEL_BUTTON

    - #### PLAY_SEQUENTIAL_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets PLAY_SEQUENTIAL_BUTTON

    - #### STOP_BUTTON

          public static final MainKFPerspectiveToolBar.Widgets STOP_BUTTON

  - ### Method Detail

    - #### values

          public static MainKFPerspectiveToolBar.Widgets[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MainKFPerspectiveToolBar.Widgets c : MainKFPerspectiveToolBar.Widgets.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MainKFPerspectiveToolBar.Widgets valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<MainKFPerspectiveToolBar.Widgets>`